cURL
curl --request GET \
--url https://api.useanima.sh/v1/orgs/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/orgs/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/orgs/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"clerkOrgId": "<string>",
"tier": "FREE",
"keyRotatedAt": "2023-11-07T05:31:56Z",
"settings": {},
"outboundConsent": {
"attested": true,
"consentSource": "<string>",
"dncAttestation": true,
"attestedAt": "2023-11-07T05:31:56Z",
"attestedBy": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}API Reference
Get orgsme
GET
/
orgs
/
me
cURL
Authorizations
BearerAuthApiKeyAuth
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Response
200 - application/json
OK
Organization resource with full details (no secrets)
Unique identifier for the organization
Pattern:
^[cC][^\s-]{8,}$Display name of the organization
URL-friendly identifier for the organization
External Clerk organization ID, null if not linked
Current subscription tier
Available options:
FREE, STARTER, GROWTH, ENTERPRISE ISO 8601 timestamp of the last master-key rotation, null if never rotated
Arbitrary key-value settings for the organization
Show child attributes
Show child attributes
Outbound TCPA consent attestation status for this organization
Show child attributes
Show child attributes
ISO 8601 timestamp when the organization was created
ISO 8601 timestamp when the organization was last modified
